aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/init.d
diff options
context:
space:
mode:
Diffstat (limited to 'rc.d/init.d')
-rw-r--r--rc.d/init.d/netconsole3
1 files changed, 2 insertions, 1 deletions
diff --git a/rc.d/init.d/netconsole b/rc.d/init.d/netconsole
index b25fed81..1a6edc82 100644
--- a/rc.d/init.d/netconsole
+++ b/rc.d/init.d/netconsole
@@ -67,7 +67,8 @@ start ()
SYSLOGOPTS=
# syslogd server, if any
if [ -n "$SYSLOGADDR" ]; then
- if ! [[ "$SYSLOGADDR" =~ "^([0-9]{1,3}\.){3}[0-9]{1,3}$" ]]; then
+ MATCH="^([0-9]{1,3}\.){3}[0-9]{1,3}$"
+ if ! [[ "$SYSLOGADDR" =~ $MATCH ]]; then
SYSLOGADDR=$(LANG=C host $SYSLOGADDR 2>/dev/null | awk '/has address / { print $NF }')
fi
fi